package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 库位信息维护对象 base_location
 * 
 * @author wh
 * @date 2023-12-11
 */
public class BaseLocation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** 所属仓库 */
    @Excel(name = "所属仓库")
    private Long storeId;

    /** 库位编码 */
    @Excel(name = "库位编码")
    private String locationCode;

    /** 轮挡贮备量 */
    @Excel(name = "轮挡贮备量")
    private Long storageQuantity;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private String isEnable;

    /** 标识 */
    private Long stoteTag;

    private BaseStore baseStore;

    public BaseStore getBaseStore() {
        return baseStore;
    }

    public void setBaseStore(BaseStore baseStore) {
        this.baseStore = baseStore;
    }

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setStoreId(Long storeId) 
    {
        this.storeId = storeId;
    }

    public Long getStoreId() 
    {
        return storeId;
    }
    public void setLocationCode(String locationCode) 
    {
        this.locationCode = locationCode;
    }

    public String getLocationCode() 
    {
        return locationCode;
    }
    public void setStorageQuantity(Long storageQuantity) 
    {
        this.storageQuantity = storageQuantity;
    }

    public Long getStorageQuantity() 
    {
        return storageQuantity;
    }
    public void setIsEnable(String isEnable) 
    {
        this.isEnable = isEnable;
    }

    public String getIsEnable() 
    {
        return isEnable;
    }
    public void setStoteTag(Long stoteTag) 
    {
        this.stoteTag = stoteTag;
    }

    public Long getStoteTag() 
    {
        return stoteTag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("storeId", getStoreId())
            .append("locationCode", getLocationCode())
            .append("storageQuantity", getStorageQuantity())
            .append("isEnable", getIsEnable())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("stoteTag", getStoteTag())
            .toString();
    }
}
